OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000116OMNeT++simulation kernelpublic2009-11-15 20:002009-12-17 23:39
Reporterkkredo 
Assigned Toandras 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0 
Target VersionFixed in Version4.1 
Summary0000116: Seg Fault in cPacketQueue::remove
DescriptionUse of incorrect pointer variable in test causes a seg fault when calling remove on an element not in the queue.

Fix: Change line 112 of cPacketQueue.cc

from:
if(pkt)

to:
if(msg1)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000197)
andras (administrator)
2009-12-17 23:39

Fixed for 4.1, thanks for reporting it!

- Issue History
Date Modified Username Field Change
2009-11-15 20:00 kkredo New Issue
2009-11-23 14:30 rhornig Priority normal => high
2009-12-17 23:39 andras Note Added: 0000197
2009-12-17 23:39 andras Status new => resolved
2009-12-17 23:39 andras Fixed in Version => 4.1
2009-12-17 23:39 andras Resolution open => fixed
2009-12-17 23:39 andras Assigned To => andras


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker